KDE 4.9 PyKDE API Reference

- KDE's Python API

# HTMLTableCaptionElement Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.HTMLElement → DOM.Element → DOM.Node
Namespace: DOM

## Detailed Description

Table caption See the <a href="http://www.w3.org/TR/REC-html40/struct/tables.html#edef-CAPTION"> CAPTION element definition in HTML 4.0.

## Methods

| __init__ (self)
| __init__ (self, DOM.HTMLTableCaptionElement other)
| __init__ (self, DOM.Node other)
DOM.DOMString | align (self)
| setAlign (self, DOM.DOMString a0)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.HTMLTableCaptionElement | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

DOM.DOMString align | ( |  | self ) |

Caption alignment with respect to the table. See the <a href="http://www.w3.org/TR/REC-html40/struct/tables.html#adef-align-CAPTION"> align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

setAlign | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see align